Subject: Re: [mobile-ip] Re: Connectathon input for Mobile IPv6 draft revision

From: Alper Yegin <[email-masked]>
Date: Tue, 25 Sep 2001 15:37:37 -0700 (PDT)

Hi Charlie,

> > > > BUT, different interfaces of the same router can have the same MAC
> > > > address, therefore same link-local address but advertise different
> > > > prefixes. In this case, mobile node would fail to detect movement if
> > > > it only looks at the source MAC and IP address of packets.
> > > >
> > > > Therefore draft should not suggest a match on source MAC address and
> > > > IP address is sufficient.
> > >
> > > Here, the important thing seems to be that the mobile node is
> > > still reachable from the router.  Other problems would presumably
> >
> > Actually it is not reachable. MN is just attached to another link on the AR. 
The
> > packets coming from the AR can have the same MAC address (a legal choice and 
a
> > feature on some platforms) and the same source IP address (link local 
address
> > derived from the same MAC address). But MN is not "reachable", because it's
> > using a prefix from another link, not the current link.
> 
> Maybe it would be enough to say that the mobile node should use the
> lack of continued advertisement of a particular prefix as evidence that
> it is no longer connected to the interface which had advertised that
> prefix.

Actually this is different. The text I'm recommending to have removed is talking 
about positive indications of being still connected. The above text is 
describing how to detect being no longer connected. So, I don't this this can be 
a substitute. But instead, I think (at least) removal of the relevant statements 
is what's needed.

> 
> > > be resolved by way of Neighbor Discovery (not Mobile IPv6), and
> > > so should not be specified again within Mobile IPv6.  Here is the
> > > current relevant text:
> > >
> > >     Instead, when a mobile node receives any IPv6 packets from its
> > >     current default router at all, irrespective of the source IPv6
> > >     address, it SHOULD use that as an indication that
> > >     it is still reachable from the router.
> >
> > That doesn't work, as I explained above. Only if the same prefix is 
advertised
> > on this link, then MN can conclude it's reachable.
> >
> > So, I suggest we remove the text in the draft that suggests checking source 
IP
> > address and MAC address is sufficient.
> 
> Can you be more specific about which text you would like to see removed?

The section number was in my original e-mail. It's in section 10.4 Movement 
Detection:

   Instead, when a mobile node receives any IPv6 packets from its current 
   default router at all, irrespective of the source IPv6 address, it SHOULD use
   that as an indication that it is still reachable from the router.

And also in this section, there's some other reference to this paragraph for 
"receiving packets sent by the router". In the previous revision, there was also 
mention of matching on source IP address and the MAC address of packets.

So, receiving a router advertisement with the right prefix is a clear indication 
of still being reachable, but not just receiving a packet from the default 
router (default router defined by its (possibly link local) IP address and MAC 
address).

Cheers,

alper